<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-account-key"></i>
    </span>
    Editar nosotros
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Editar nosotros</li>
    </ol>
  </nav>
</div>

<!-- boton  -->
<form [formGroup]="editAboutForm">
  <div class="row d-flex justify-content-between align-items-baseline" style="margin-right:auto; margin-left:auto;">
    <div></div>
    <div>
      <div>
        <button type="button" class="btn btn-dark btn-fw" *ngIf="isEdit===false && datosEdit" (click)="editAbout($event)">
          <i class="mdi mdi-plus-box">Editar nosotros</i>
        </button>
        <button type="button" class="btn btn-primary btn-fw" *ngIf="isEdit===true && datosEdit"
          (click)="saveAbout(this.editAboutForm.value)" [disabled]="this.editAboutForm.invalid">
          <i class="mdi mdi-plus-box">Guardar cambios</i>
        </button>
      </div>
      <div>
        <button type="button" class="btn btn-dark btn-fw" *ngIf="isEdit===false && !datosEdit" (click)="editAbout($event)">
          <i class="mdi mdi-plus-box">Crear nosotros</i>
        </button>
        <button type="button" class="btn btn-primary btn-fw" *ngIf="isEdit===true && !datosEdit"
          (click)="crearAbout(this.editAboutForm.value)" [disabled]="this.editAboutForm.invalid">
          <i class="mdi mdi-plus-box">Crear</i>
        </button>
      </div>
    </div>
  </div>
  <!-- boton -->
  <div class="card">
    <div class="card-body">
      <div class="form-group">
        <label for="exampleTextarea1">Mision</label>
        <textarea class="form-control" id="exampleTextarea1" rows="4" formControlName="mision"></textarea>
      </div>
      <div class="form-group">
        <label for="exampleTextarea1">Vision</label>
        <textarea class="form-control" id="exampleTextarea1" rows="4" formControlName="vision"></textarea>
      </div>
      <div class="row">
        <div class="col">
        </div>
        <div class="col-md-4">
          <div *ngIf="isEdit === true">
            <button type="button" class="btn btn-primary btn-fw" [disabled]="this.editAboutForm.invalid"
              (click)="saveAbout(this.editAboutForm.value)" *ngIf="datosEdit">Guardar</button>
            <button type="button" class="btn btn-primary btn-fw" [disabled]="this.editAboutForm.invalid"
              (click)="crearAbout(this.editAboutForm.value)" *ngIf="!datosEdit">Crear</button>
            <button type="button" class="btn btn-danger btn-fw" (click)="cancel()">Cancelar</button>
          </div>

        </div>
      </div>
      <div class="row">
      </div>
    </div>
  </div>
</form>
